Bug #113569 Workbench incompatible to auth_gssapi_client
Submitted: 5 Jan 21:48 Modified: 8 Jan 12:40
Reporter: Viktor Engelmann Email Updates:
Status: Unsupported Impact on me:
None 
Category:MySQL Workbench Severity:S2 (Serious)
Version:8.0.34 CE build 3263449 OS:Linux (Manjaro)
Assigned to: CPU Architecture:x86 (Intel i7-7700K)
Tags: auth_gssapi_client, gssapi, kerberos, MariaDB

[5 Jan 21:48] Viktor Engelmann
Description:
When trying to access a MariaDB server, using MIT kerberos for authentication, I get the error message "Authentication plugin 'auth_gssapi_client' cannot be loaded: Incompatible client plugin interface"

How to repeat:
I'm running a MariaDB 10.5.21 server on Raspberry OS (Debian based)
For the authentication, I use MIT Kerberos 5 via GSSAPI.

On the client, running on a fully patched Manjaro Linux, I have the MariaDB client, version 11.2.1 - with this, I can successfully log into the server via kerberos.

I try to access the same server with MySQL Workbench (8.0.34 CE build 3263449), with the following settings:
- Connection method: Native Kerberos
- Hostname: FQDN of the server
- Port: 3306
- username: my kerberos principal
Advanced settings:
- Path to plugin directory: /usr/lib64/mysql/plugin
(this is where auth_gssapi_client.so is physically located in Manjaro)

When I then click "Test Connection", I get the error message
[8 Jan 12:40] MySQL Verification Team
Please note that server MariaDB isn't supported by MySQL Workbench. Thanks.